.vr-warehouse-container {
  position: relative;
  .warehouse-listing-loader {
    position: absolute;
    z-index: 10;
    top: 30%;
  }
  .vr-warehouse__table-top {
    background: white;
    padding: 8px 15px;
    display: flex;
    flex-direction: column;
    .vr-warehouse__table-filters,
    .vr-warehouse__table-actions {
      display: flex;
      flex-direction: row;
      align-items: center;
    }
    .vr-warehouse__table-filters {
      padding-top: 15px;
      overflow: auto;
      display: inline-block;
    }
    .vr-warehouse__filter {
      background: var(--primary);
      padding: 3px 3px 3px 10px;
      margin: 2px;
      border-radius: 15px;
      display: inline-block;
      flex-direction: row;
      label {
        color: white;
      }
      span {
        min-width: 8px;
        padding: 5px 15px 5px 5px;
        position: relative;
        cursor: pointer;
        &::before,
        &::after {
          display: block;
          content: " ";
          width: 10px;
          height: 2px;
          background: white;
          position: absolute;
          top: 12px;
          right: 4px;
        }
        &::after {
          transform: rotate(45deg);
        }
        &::before {
          transform: rotate(-45deg);
        }
      }
    }
    .vr-warehouse__table-header-search {
      display: flex;
      flex-grow: 1;
      .field-section {
        width: 100%;
      }
      .checkbox-holder.vr-actions-checkbox {
        width: 180px;
      }
    }
    .vr-warehouse__search {
      width: 400px;
      max-width: 400px;
    }
    .vr-warehouse__table-header-btn-group {
      display: flex;
      gap: 10px;
    }
    .btn.square-btn {
      font-size: var(--font-xs);
      padding: 4px 8px;
      height: 27px;
      min-width: 100px;
      margin-bottom: 2px;
      img {
        padding-right: 3px;
      }
      img.icon__loading {
        height: 21px;
        padding-left: 7px;
      }
      &:hover,
      &:active,
      &:focus {
        img {
          filter: invert(75%);
        }
      }
    }
    .field-section {
      padding: 0;
      display: flex;
      .field__input input:not([type="radio"]) {
        height: var(--input-height);
      }
      div.row {
        margin: 0;
        width: 95%;
      }
      .field__label {
        display: none;
      }
    }
    .checkbox-holder label.checkbox__content {
      margin-left: 5px;
      margin-top: -2px;
    }
    .custom-filters-listing.vrwh-filters {
      padding: 15px 5px 5px;
      .vrwh-filters-heading {
        font-weight: 550;
        margin-bottom: 3px;
      }
      .vrwh-applied-filters-row {
        margin-bottom: 2px;
        .vrwh-filter-content {
          padding-top: 2px;
          position: relative;
          padding-right: 10px;

          .vrwh-filter-clear-icon {
            font-size: 20px;
            display: inline-block;
            position: absolute;
            right: -5px;
            font-weight: 500;
            top: -4px;
            cursor: pointer;
          }
        }
      }
    }
  }
  .vr-warehouse-listing__table {
    .vr-warehouse-status-icons {
      display: flex;
      padding: 0px;
      //width: 70px;
      img {
        margin: 0px 0px 0 5px;
      }
      :first-child {
        margin: 0;
      }
      .warehouse-status {
        margin-right: 0;
      }
      .status-svg-images {
        width: 24px;
        height: 22px;
      }
      .green-filter {
        filter: invert(22%) sepia(100%) saturate(6768%) hue-rotate(120deg)
          brightness(100%) contrast(103%);
      }
    }
  }
}

#hideCustomerSelection {
  width: 350px;
  height: var(--input-height);
  background: var(--tile-bg);
  position: fixed;
  top: 10px;
  z-index: 10001;
}

.vrwh-device-details-modal {
  .modal-dialog {
    width: unset;
    .modal-content {
      min-width: 850px;
    }
  }
  .device-details-modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    .device-status-section {
      display: flex;
      align-items: flex-end;
      margin-right: 35px;
      gap: 10px;
      .device-header-img {
        width: 26px;
        height: 24px;
      }
      .success-label {
        color: green;
      }
    }
  }
  .device-details-modal-body {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    .device-details-field {
      display: flex;
      flex-direction: column;
      flex-basis: 33%;
      padding: 8px 5px;
      overflow: hidden;
      label {
        font-family: var(--font-first);
        &:first-child {
          color: var(--grey-label);
          text-transform: uppercase;
        }
        &:nth-child(2) {
          color: var(--black-font);
          padding-top: 5px;
        }
      }
    }
    .device-detail-subheader {
      width: 100%;
      margin: 15px 0 5px;
      padding-bottom: 5px;
      border-bottom: 1px solid lightgray;
      font-size: var(--font-l);
      font-weight: 500;
    }
    .order-detail-left {
      display: flex;
      flex-wrap: wrap;
      width: 55%;
    }
    .order-detail-right {
      display: flex;
      width: 45%;
    }
    .flex-basis-100 {
      flex-basis: 100%;
    }
    .flex-basis-50 {
      flex-basis: 50%;
    }
  }
  .device-details-modal-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    .updated-on {
      color: var(--grey-label);
      float: left;
      font-size: var(--font-xs);
      display: flex;
      p {
        margin: 0 0 0 10px;
        float: left;
      }
    }
  }
}
